function A = BlkTransSpec(A)

[n m] = size(A);

if n < m
    % A is a row type

    tmp = [];
    for k = 0:n:(m-1)
        tmp = [ tmp; A(:,(1:n)+k) ];
    end
    A = tmp;
else
    % A is a column type

    tmp = [];
    for k = 0:m:(n-1)
        tmp = [ tmp A((1:m)+k,:) ];
    end
    A = tmp;
end
