%
%   This function transforms from R to Vec RR'
%
%   Input: R(:,:,k) = Rk   k = 0...n
%
%   Output: VecRT = Vec [ R0 R1 ... Rn ]'
%
function VecRT = R2VecRT(R)

[ m m ntilde ] = size(R);

VecRT = reshape(reshape(R,m,m*ntilde)',m*m*ntilde,1);